﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_FUND_ENTRY' AND KSQL_COL_NAME ='FOLDAMOUNT') 
 ALTER TABLE T_PMAS_FUND_ENTRY ADD (FOLDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_FUND_ENTRY' AND KSQL_COL_NAME ='FDIFFAMOUNT') 
 ALTER TABLE T_PMAS_FUND_ENTRY ADD (FDIFFAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_FUNDSOURCE' AND KSQL_COL_NAME ='FBUDGETPERIOD') 
 ALTER TABLE T_PMAS_FUNDSOURCE ADD (FBUDGETPERIOD DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_FUNDSOURCE' AND KSQL_COL_NAME ='FBUDGETPRONUMBER') 
 ALTER TABLE T_PMAS_FUNDSOURCE ADD (FBUDGETPRONUMBER VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_FUNDSOURCE' AND KSQL_COL_NAME ='FBUDGETPRONAME') 
 ALTER TABLE T_PMAS_FUNDSOURCE ADD (FBUDGETPRONAME VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_FUNDSOURCE' AND KSQL_COL_NAME ='FTOTALOLDAMOUNT') 
 ALTER TABLE T_PMAS_FUNDSOURCE ADD (FTOTALOLDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_FUNDSOURCE' AND KSQL_COL_NAME ='FTOTALDIFFAMOUNT') 
 ALTER TABLE T_PMAS_FUNDSOURCE ADD (FTOTALDIFFAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL' AND KSQL_COL_NAME ='FBUDGETPERIOD') 
 ALTER TABLE T_PMAS_PRO_APPROVAL ADD (FBUDGETPERIOD DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL' AND KSQL_COL_NAME ='FBUDGETPRONUMBER') 
 ALTER TABLE T_PMAS_PRO_APPROVAL ADD (FBUDGETPRONUMBER VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL' AND KSQL_COL_NAME ='FBUDGETPRONAME') 
 ALTER TABLE T_PMAS_PRO_APPROVAL ADD (FBUDGETPRONAME VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_ADDTMEMBER') 
 CREATE TABLE T_PMAS_ADDTMEMBER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBILLSTATUS VARCHAR(60) DEFAULT ' ' NOT NULL,
FAPPLYTIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FAPPLICANT BIGINT DEFAULT 0 NOT NULL,
FAUDITSTATUS VARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_ADDTMEMBER_L') 
 CREATE TABLE T_PMAS_ADDTMEMBER_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FOPINION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_ADDTMEMBERENTRY_L') 
 CREATE TABLE T_PMAS_ADDTMEMBERENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_ADDTMEMBERENTRY') 
 CREATE TABLE T_PMAS_ADDTMEMBERENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FROLEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FTELNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FISORIGINAL CHAR(1) DEFAULT '1' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMAS_table.sql **/
