﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_APPROVAL_APPLY') 
 CREATE TABLE T_PMAS_APPROVAL_APPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FBILLNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FPLANBEGINDATE DATETIME,
FPLANENDDATE DATETIME,
FPARENTPROID BIGINT DEFAULT 0 NOT NULL,
FPROPROPOSALID BIGINT DEFAULT 0 NOT NULL,
FPROJECTAPPLYDATE DATETIME,
FINVESTDIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FINDUSTRYKINDID BIGINT DEFAULT 0 NOT NULL,
FINVESTKIND VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROLEADERID BIGINT DEFAULT 0 NOT NULL,
FLEADERCONTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FISPLANPRO CHAR(1) DEFAULT '0' NOT NULL,
FISPROVINCIALPRO CHAR(1) DEFAULT '0' NOT NULL,
FISCOPYPRO CHAR(1) DEFAULT '0' NOT NULL,
FISSPECIALPRO CHAR(1) DEFAULT '0' NOT NULL,
FCOPYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTORGID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FIMPLEMENTORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FANNUALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINDUSTRYID BIGINT DEFAULT 0 NOT NULL,
FINVESTPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROADMINDIVISION VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROREGION VARCHAR(50) DEFAULT ' ' NOT NULL,
FISAPPROVAL CHAR(1) DEFAULT '0' NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_APPROVAL_APPLY_L') 
 CREATE TABLE T_PMAS_APPROVAL_APPLY_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FPURPOSE VARCHAR(2000) DEFAULT ' ' NOT NULL,
FINTRODUCTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPROJECTRISK NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FBACKGROUND NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPROADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PROAPPLY_ENTRY') 
 CREATE TABLE T_PMAS_PROAPPLY_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTRYFUNDRESOURCE BIGINT DEFAULT 0 NOT NULL,
FENTRYCAPTIALFORM VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYANNUALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYREMARK VARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYCURRENCYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL_A' AND KSQL_COL_NAME ='FAPPROVALAPPLYID') 
 ALTER TABLE T_PMAS_PRO_APPROVAL_A ADD (FAPPROVALAPPLYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL_A' AND KSQL_COL_NAME ='FPROJECTAREA') 
 ALTER TABLE T_PMAS_PRO_APPROVAL_A ADD (FPROJECTAREA VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL_A' AND KSQL_COL_NAME ='FISPLANPRO') 
 ALTER TABLE T_PMAS_PRO_APPROVAL_A ADD (FISPLANPRO CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL_A' AND KSQL_COL_NAME ='FISCOPYPRO') 
 ALTER TABLE T_PMAS_PRO_APPROVAL_A ADD (FISCOPYPRO CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL_A' AND KSQL_COL_NAME ='FCOPYTYPE') 
 ALTER TABLE T_PMAS_PRO_APPROVAL_A ADD (FCOPYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL_A' AND KSQL_COL_NAME ='FISSPECIALPRO') 
 ALTER TABLE T_PMAS_PRO_APPROVAL_A ADD (FISSPECIALPRO CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PRO_APPROVAL_A' AND KSQL_COL_NAME ='FISPROVINCIALPRO') 
 ALTER TABLE T_PMAS_PRO_APPROVAL_A ADD (FISPROVINCIALPRO CHAR(1) DEFAULT '1' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMAS_table.sql **/
