﻿/**Begin D:\PDM_UPGRADE\PDM1\PMAS_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_PMAS_APPROVALDOC', 'T_PMAS_APPROVALDOC', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_APPDOC_0') CREATE INDEX IDX_PMAS_APPDOC_0 ON T_PMAS_APPROVALDOC ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_PMAS_AUDITDOC', 'T_PMAS_AUDITDOC', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_AUDDOC_0') CREATE INDEX IDX_PMAS_AUDDOC_0 ON T_PMAS_AUDITDOC ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_PMAS_PRO_MAT_ENTRY', 'T_PMAS_PRO_MAT_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_PRO_AP_PM_0') CREATE INDEX IDX_PMAS_PRO_AP_PM_0 ON T_PMAS_PRO_MAT_ENTRY ( FATTACHTYPEID );


 EXEC P_ALTERPK 'PK_T_PMAS_PROAUD_MAT_ENTRY', 'T_PMAS_PROAUD_MAT_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_PROAUD_MAT_0') CREATE INDEX IDX_PMAS_PROAUD_MAT_0 ON T_PMAS_PROAUD_MAT_ENTRY ( FATTACHTYPEID );


 EXEC P_ALTERPK 'PK_T_PMAS_SOURCEENTRY', 'T_PMAS_SOURCEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_SOUR_0') CREATE INDEX IDX_PMAS_SOUR_0 ON T_PMAS_SOURCEENTRY ( FFUNDRESOURCEID );


 EXEC P_ALTERPK 'PK_T_PMAS_BUDGETCTRLENTRY', 'T_PMAS_BUDGETCTRLENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_BUDGETCTRLENTRY_1') CREATE  CLUSTERED INDEX IDX_PMAS_BUDGETCTRLENTRY_1 ON T_PMAS_BUDGETCTRLENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMAS_PROCTRLINFOENTRY', 'T_PMAS_PROCTRLINFOENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_PROCTRLINFOENTRY_1') CREATE  CLUSTERED INDEX IDX_PMAS_PROCTRLINFOENTRY_1 ON T_PMAS_PROCTRLINFOENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMAS_PRO_AUDIT', 'T_PMAS_PRO_AUDIT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_PRO_AD_0') CREATE INDEX IDX_PMAS_PRO_AD_0 ON T_PMAS_PRO_AUDIT ( FBILLNO );


 EXEC p_AlterPK 'PK_T_PMAS_PRO_APPROVAL', 'T_PMAS_PRO_APPROVAL', 'fid', '1';
EXEC p_DropIdx 'IDX_PMAS_PRO_AP_0', 'T_PMAS_PRO_APPROVAL';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMAS_PRO_AP_0') CREATE INDEX IDX_PMAS_PRO_AP_0 ON T_PMAS_PRO_APPROVAL ( FBILLNO );


/**End D:\PDM_UPGRADE\PDM1\PMAS_constraint.sql **/
