﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_OUTBUDREALENTRY' AND KSQL_COL_NAME ='FUSEDAMT') 
 ALTER TABLE T_PMAS_OUTBUDREALENTRY ADD (FUSEDAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PROREALENTRY' AND KSQL_COL_NAME ='FUSEDAMT') 
 ALTER TABLE T_PMAS_PROREALENTRY ADD (FUSEDAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_OUTNOWTEAM_L') 
 CREATE TABLE T_PMAS_OUTNOWTEAM_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PRO_AP_OUTEAMENTRY_L') 
 CREATE TABLE T_PMAS_PRO_AP_OUTEAMENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FOUTERTEAMDESCRIPTION VARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PROJTEAM' AND KSQL_COL_NAME ='FPROLEADERID') 
 ALTER TABLE T_PMAS_PROJTEAM ADD (FPROLEADERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_PROJTEAM' AND KSQL_COL_NAME ='FLEADERCONTTYPE') 
 ALTER TABLE T_PMAS_PROJTEAM ADD (FLEADERCONTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_OUTADDTMEMBERENTRY') 
 CREATE TABLE T_PMAS_OUTADDTMEMBERENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMEMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FROLE VARCHAR(100) DEFAULT ' ' NOT NULL,
FTELNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FISORIGINAL CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_OUTNOWTEAM') 
 CREATE TABLE T_PMAS_OUTNOWTEAM (
FID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FSEQNO INT DEFAULT 0 NOT NULL,
FMEMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FROLE VARCHAR(60) DEFAULT ' ' NOT NULL,
FTELNO VARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_OUTTEAM_ENTRY') 
 CREATE TABLE T_PMAS_OUTTEAM_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMEMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FROLE VARCHAR(60) DEFAULT ' ' NOT NULL,
FTELNO VARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_OUTADDTMEMBERENTRY_L') 
 CREATE TABLE T_PMAS_OUTADDTMEMBERENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_OUTTEAM_ENTRY_L') 
 CREATE TABLE T_PMAS_OUTTEAM_ENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PRO_AP_OUTEAMENTRY') 
 CREATE TABLE T_PMAS_PRO_AP_OUTEAMENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOUTERTEAMUSER VARCHAR(100) DEFAULT ' ' NOT NULL,
FOUTTEAMROLE VARCHAR(100) DEFAULT ' ' NOT NULL,
FOUTERTEAMTELNO VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_OUTTEAMCHD_ENTRY') 
 CREATE TABLE T_PMAS_OUTTEAMCHD_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCHDMEMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCHDROLE VARCHAR(36) DEFAULT ' ' NOT NULL,
FCHDTELNO VARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_OUTTEAMCHD_ENTRY_L') 
 CREATE TABLE T_PMAS_OUTTEAMCHD_ENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCHDNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_OUTTEAMCH_ENTRY') 
 CREATE TABLE T_PMAS_OUTTEAMCH_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCHMEMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCHROLE VARCHAR(60) DEFAULT ' ' NOT NULL,
FCHANGETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FOUTCHPREROLE VARCHAR(60) DEFAULT ' ' NOT NULL,
FCHTELNO VARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_OUTTEAMCH_ENTRY_L') 
 CREATE TABLE T_PMAS_OUTTEAMCH_ENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCHNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMAS_table.sql **/
