﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_BUDGETENTRY') 
 CREATE TABLE T_PMAS_BUDGETENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTIONENTRY NVARCHAR(510) DEFAULT ' ' NOT NULL,
FBUDGETIITEMID BIGINT DEFAULT 0 NOT NULL,
FBUDGETITEMNAME NVARCHAR(510) DEFAULT ' ' NOT NULL,
FBUDGETAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_BUDGET') 
 CREATE TABLE T_PMAS_BUDGET (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(510) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(60) DEFAULT ' ' NOT NULL,
FVERSION DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSOURCETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT '0' NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL
);


 EXEC p_AlterColumn 'T_PMAS_NOWTEAM', 'FROLEID', 'VARCHAR(36)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_PMAS_TEAM_ENTRY', 'FROLEID', 'VARCHAR(36)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_PMAS_TEAMCHANGED_ENTRY', 'FCHDROLEID', 'VARCHAR(36)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_PMAS_TEAMCHANGE_ENTRY', 'FCHROLEID', 'VARCHAR(36)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_PMAS_TEAMCHANGE_ENTRY', 'FPREROLEID', 'VARCHAR(36)', 'NOT NULL', '1111', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_FUND_ENTRY') 
 CREATE TABLE T_PMAS_FUND_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTYPEID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_FUND_ENTRY_L') 
 CREATE TABLE T_PMAS_FUND_ENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_FUNDSOURCE') 
 CREATE TABLE T_PMAS_FUNDSOURCE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBILLSTATUS VARCHAR(60) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FVERSION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_FUNDSOURCE_L') 
 CREATE TABLE T_PMAS_FUNDSOURCE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(510) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMAS_table.sql **/
