﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PROSUPERVISION') 
 CREATE TABLE T_PMAS_PROSUPERVISION (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTKINDID BIGINT DEFAULT 0 NOT NULL,
FADJUSTEXPLAIN VARCHAR(255) DEFAULT ' ' NOT NULL,
FLATESTVERSION CHAR(1) DEFAULT ' ' NOT NULL,
FVERSION DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PROSUPERVISION_L') 
 CREATE TABLE T_PMAS_PROSUPERVISION_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FADJUSTEXPLAIN VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_SUPERVISE') 
 CREATE TABLE T_PMAS_SUPERVISE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROJECTSTAGEID BIGINT DEFAULT 0 NOT NULL,
FWORKITEM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FKEYITEM CHAR(1) DEFAULT ' ' NOT NULL,
FSYSBILLID BIGINT DEFAULT 0 NOT NULL,
FSUPERVISIONID VARCHAR(255) DEFAULT ' ' NOT NULL,
FKEYPROPERTYID VARCHAR(255) DEFAULT ' ' NOT NULL,
FESTIMATEENDTIME DATETIME,
FHIDDENDATA CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_SUPERVISION') 
 CREATE TABLE T_PMAS_SUPERVISION (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROJECTSTAGEID BIGINT DEFAULT 0 NOT NULL,
FWORKITEM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FKEYITEM CHAR(1) DEFAULT ' ' NOT NULL,
FSYSBILLID BIGINT DEFAULT 0 NOT NULL,
FSUPERVISIONID VARCHAR(255) DEFAULT ' ' NOT NULL,
FKEYPROPERTYID VARCHAR(255) DEFAULT ' ' NOT NULL,
FESTIMATEENDTIME DATETIME,
FHIDDENDATA CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_SUPERVISION_L') 
 CREATE TABLE T_PMAS_SUPERVISION_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FWORKITEM NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_SUPERVISE_L') 
 CREATE TABLE T_PMAS_SUPERVISE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FWORKITEM VARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMAS_table.sql **/
