﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMAS_table.sql **/
 EXEC p_AlterColumn 'T_PMAS_PROJECTOBJECTIVE', 'FISSYS', 'CHAR(1)', 'NOT NULL', '0001', '''0''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_BUDGET' AND KSQL_COL_NAME ='FISSYS') 
 ALTER TABLE T_PMAS_BUDGET ADD (FISSYS CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMAS_FUND_ENTRY_L' AND KSQL_COL_NAME ='FENTRYID') 
 ALTER TABLE T_PMAS_FUND_ENTRY_L ADD (FENTRYID BIGINT DEFAULT 0 NOT NULL );

 EXEC p_AlterColumn 'T_PMAS_FUND_ENTRY_L', 'FID', 'NULL', 'NULL', '1001', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PRO_AP_FIELDENTRY') 
 CREATE TABLE T_PMAS_PRO_AP_FIELDENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELDNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FFIELDTYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FFIELDKEY VARCHAR(100) DEFAULT ' ' NOT NULL,
FFIELDVALUE VARCHAR(1000) DEFAULT ' ' NOT NULL,
FGROUPID VARCHAR(100) DEFAULT ' ' NOT NULL,
FISMUSTINPUT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PRO_AP_FUNDENTRY') 
 CREATE TABLE T_PMAS_PRO_AP_FUNDENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSOURCETYPE BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PRO_AP_FUNDENTRY_L') 
 CREATE TABLE T_PMAS_PRO_AP_FUNDENTRY_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PRO_AP_INENTRY') 
 CREATE TABLE T_PMAS_PRO_AP_INENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FBUDGETITEMNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FBUDGETAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUDGETITEMID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PRO_AP_INENTRY_L') 
 CREATE TABLE T_PMAS_PRO_AP_INENTRY_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PRO_AP_OUTENTRY') 
 CREATE TABLE T_PMAS_PRO_AP_OUTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FBUDGETITEMNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FBUDGETAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUDGETITEMID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PRO_AP_OUTENTRY_L') 
 CREATE TABLE T_PMAS_PRO_AP_OUTENTRY_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PRO_AP_TEAMENTRY') 
 CREATE TABLE T_PMAS_PRO_AP_TEAMENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTEAMUSERID BIGINT DEFAULT 0 NOT NULL,
FTEAMROLEID BIGINT DEFAULT 0 NOT NULL,
FTEAMTELNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FISCHARGE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PRO_AP_TEAMENTRY_L') 
 CREATE TABLE T_PMAS_PRO_AP_TEAMENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PRO_APPROVAL') 
 CREATE TABLE T_PMAS_PRO_APPROVAL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FKINDID BIGINT DEFAULT 0 NOT NULL,
FPROID BIGINT DEFAULT 0 NOT NULL,
FBILLNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FPLANBEGINDATE DATETIME,
FPLANENDDATE DATETIME,
FDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FPROSTATUS BIGINT DEFAULT 0 NOT NULL,
FCURRENCYFIELD BIGINT DEFAULT 0 NOT NULL,
FPARENTPROID BIGINT DEFAULT 0 NOT NULL,
FEXPINCOMEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSOURCEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOUTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_PRO_APPROVAL_L') 
 CREATE TABLE T_PMAS_PRO_APPROVAL_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPROADDRESS VARCHAR(255) DEFAULT ' ' NOT NULL,
FPURPOSE VARCHAR(1000) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMAS_table.sql **/
